Summary: LIGOtools collection of miscellaneous tools
Name: ligotools
Version: 1.2.0
Release: 1
License: GNU General Public License Version 3
Source: ligotools-1.2.0.tar.gz
URL: http://www.lsc-group.phys.uwm.edu/daswg/projects/ligotools.html
Packager: Peter Shawhan <peter.shawhan@ligo.org>
Group: Application/Scientific
BuildArch: x86_64
BuildRoot: %{buildroot}
Buildrequires: cmake tcl
ExclusiveArch: x86_64

%description
This is a collection of tools used by the LIGO scientific community

%package scripts
Group: Application/Scientific
Requires: tcl
Summary: LIGOtools miscellaneous tools
%description scripts
Scripts associated with the LIGOtools suite of utilities.

%package tconvert
Group: Application/Scientific
Requires: tcl, tk
Summary: LIGOtools tconvert
%description tconvert
Command-line utility to convert to/from GPS seconds,
with automatic discovery of newly-added leap seconds.

%package matlab
Group: Application/Scientific
Summary: LIGOtools MATLAB functions
%description matlab
Macro files used to do assist with gravitational wave analysis within MATLAB.

%package cache
Group: Application/Scientific
Summary: LIGOtools cache manipulation functions
%description cache
Utilities to maniplate various caching schemes.

%prep
%setup -q

%build
%cmake -DENABLE_BINARY_MATLAB=TRUE .

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%files scripts
%defattr(-,root,root,-)
# papers
%{_bindir}/cleanlatex
# segments
%{_bindir}/segdiff
%{_bindir}/segexpr
%{_bindir}/segsum

%files tconvert
%defattr(-,root,root,-)
%{_bindir}/tconvert
%{_bindir}/gpsclock

%files matlab
%{_datarootdir}/ligotools/matlab

%files cache
%{_bindir}/convertfflcache.pl
%{_bindir}/convertlalcache.pl
%{_bindir}/convertldascache.sh
%{_bindir}/createframecache.pl
